% Copyright (C) 2021 IndiScale GmbH <info@indiscale.com>
% Copyright (C) 2021 Daniel Hornung <d.hornung@indiscale.com>
%
% This file is a part of the CaosDB Project.
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU Affero General Public License as
% published by the Free Software Foundation, either version 3 of the
% License, or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Affero General Public License for more details.
%
% You should have received a copy of the GNU Affero General Public License
% along with this program. If not, see <https://www.gnu.org/licenses/>.

header = @(a_1, a_2, a_3) ...
  sprintf([ ...
           '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"\n', ...
           ' "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">\n', ...
           '<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">\n', ...
           '  <head>\n', ...
           '  <meta http-equiv="content-type" content="text/html; charset=utf-8" />\n', ...
           '  <meta name="date" content="2022-09-22"/>\n', ...
           '  <meta name="generator" content="generate_html 0.4.0" />\n', ...
           '  <meta name="author" content="The Octave-Forge Community" />\n', ...
           '  <meta name="description" content="Octave-Forge is a collection of packages ', ...
           'providing extra functionality for GNU Octave." />\n', ...
           '  <meta name="keywords" lang="en" content=', ...
           '"Octave-Forge, Octave, extra packages" />\n', ...
           '  <title>The ''caosdb'' Package</title>\n', ...
           '  <link rel="stylesheet" type="text/css" href="../octave-forge.css" />\n', ...
           '  <script src="../fixed.js" type="text/javascript"></script>\n', ...
           '  <script src="../javascript.js" type="text/javascript"></script>\n', ...
           '  <script src="../footer.js" type="text/javascript"></script>\n', ...
           '  <link rel="shortcut icon" href="../favicon.ico" />\n', ...
           '  </head>\n', ...
           '  <body onload="javascript:fix_top_menu ();">\n', ...
           '  <script> write_docs_left_menu (''..''); </script>\n', ...
           '<div id="doccontent">' ...
          ]);

pkg load generate_html;
of_options = get_html_options("octave-forge");
setfield(of_options, '__header__', header);
of_options.package_doc = "caosdb.texi";

% (re)loading caosdb package
pkg install ..;
pkg load caosdb;
generate_package_html('caosdb', '_build_octave/', of_options);
